test-framework-0.8.2.2: Framework for running and organising tests, with HUnit and QuickCheck support

Safe Haskell | None
Language | Haskell2010

Test.Framework.Runners.Options

# Documentation

data ColorMode Source #

Constructors

ColorAuto |
ColorNever |
ColorAlways |

type RunnerOptions = RunnerOptions' Maybe Source #

data RunnerOptions' (f :: Type -> Type) Source #

Constructors

RunnerOptions |

Fields

- ropt_threads :: f Int
- ropt_test_options :: f TestOptions
- ropt_test_patterns :: f [TestPattern]
- ropt_xml_output :: f (Maybe FilePath)
- ropt_xml_nested :: f Bool
- ropt_color_mode :: f ColorMode
- ropt_hide_successes :: f Bool
- ropt_list_only :: f Bool

#### Instances

Instances details

Monoid (RunnerOptions' Maybe) Source # |
Instance details Defined in Test.Framework.Runners.Options Methods mempty :: RunnerOptions' Maybe Source # mappend :: RunnerOptions' Maybe -> RunnerOptions' Maybe -> RunnerOptions' Maybe Source # mconcat :: [RunnerOptions' Maybe] -> RunnerOptions' Maybe Source #
Semigroup (RunnerOptions' Maybe) Source # |
Instance details Defined in Test.Framework.Runners.Options Methods (<>) :: RunnerOptions' Maybe -> RunnerOptions' Maybe -> RunnerOptions' Maybe Source # sconcat :: NonEmpty (RunnerOptions' Maybe) -> RunnerOptions' Maybe Source # stimes :: Integral b => b -> RunnerOptions' Maybe -> RunnerOptions' Maybe Source #

type CompleteRunnerOptions = RunnerOptions' K Source #

data TestPattern Source #

#### Instances

Instances details

Read TestPattern Source # |
Instance details Defined in Test.Framework.Runners.TestPattern Methods readsPrec :: Int -> ReadS TestPattern Source # readList :: ReadS [TestPattern] Source # readPrec :: ReadPrec TestPattern Source # readListPrec :: ReadPrec [TestPattern] Source #